Skip to main content

GET /ips

GET 

ips

Retrieve all IP addresses currently monitored for blocklist and reputation status

Query Parameters​

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

sort string
Example: -ip (desc) or ip (asc)

profile_id string
Filter results by profile ID

ip string
Filter results by an IP substring

rdns string
Filter results by a reverse DNS (rDNS) hostname substring

rbl_hosts string
Filter results by RBL lookup host (rbl_result.lookup_host). Multiple values can be provided as a comma-separated list. Example: ynip.rothen.com,bl.spamcop.net. Available host names can be retrieved from GET /api/v1.0/epc/rbl_dictionary?type=ips

netmask string
Filter results by netmask

blacklisted boolean
Filter results to include only IPs that are currently blacklisted

wrong_rdns boolean
Filter results to include only IPs with an incorrect or missing reverse DNS (rDNS) record

Returns

  • dataarray
    • idstring
      Unique identifier of the IP entity
    • ipstring
      The monitored IP address
    • dns_lookup_resultarray
      Results of forward and reverse DNS lookups for this IP
      • addressesarray
        List of forward DNS resolved addresses
      • rDNSstring
        Reverse DNS hostname for this IP
    • rbl_resultarray
      List of RBL lookup results for this IP
      • lookup_hoststring
        RBL hostname on which this IP is listed
    • statusstring
      Current processing status of this IP
    • blacklistedboolean
      Indicates whether this IP is currently listed on at least one RBL
    • wrong_rdnsboolean
      Indicates whether the reverse DNS record for this IP is missing or does not resolve
    • updated_atstring
      Timestamp when the IP data was last refreshed
  • metaobject
    Pagination metadata for list responses
    • countinteger
      Total number of items available
    • offsetinteger
      Number of items skipped
    • limitinteger
      Maximum number of items returned per request
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error